#ifndef PLE_H
#define PLE_H


// -------------------------------------------

#ifdef __cplusplus
extern "C"{
#endif

typedef double real;

typedef struct point	Point;

struct point {
    real	x,y;
    Point*	next;
    Point*	prev;
};



void	delpoints	(void);
void	addpoint	(real x, real y);
void	movepoint	(real x, real y);
void	delpoint	(real x, real y);
void	startmove	(real x, real y);
void	endmove		(void);
int     is_moving   (void);

void	showpolygon	(void);
void	showpoints	(void);
void	showpoint	(Point* p);
void	showside	(Point* p, Point *q);
void    toggleshowpolygon(void);
void	redraw		(int clear);

Point*	findpoint	(real x, real y);

// --------------------------------------------

void dvflush(void);
void dvclear(double c);
void dvcolor(double c);
void dvwindow(double xmax, double ymax);
void dvplot(double x1, double y1);
void dvline(double x1, double y1, double x2, double y2);
real dv_map_y(real y);

#ifdef __cplusplus
}
#endif

#endif // PLE_H
